SoProfilerStats(3)

NAME
SoProfilerStats - The SoProfilerStats class is a node for exposing profiling results gathered by SoProfilerElement.

SYNOPSIS

#include <Inventor/annex/Profiler/nodes/SoProfilerStats.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoProfilerStats (void)
virtual void GLRender (SoGLRenderAction *action)
virtual void handleEvent (SoHandleEventAction *action)
virtual void rayPick (SoRayPickAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual void audioRender (SoAudioRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)
virtual void search (SoSearchAction *action)
virtual void write (SoWriteAction *action)
const SbProfilingData & getProfilingData (SoType actiontype) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFName renderedNodeType
SoMFTime renderingTimePerNodeType
SoMFTime renderingTimeMaxPerNodeType
SoMFUInt32 renderedNodeTypeCount
SoMFName profiledAction
SoMFTime profiledActionTime
SoMFNode separatorsCullRoots
SoSFTrigger profilingUpdate

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoProfilerStats ()
virtual void notify (SoNotList *l)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoProfilerStats class is a node for exposing profiling results gathered by SoProfilerElement. TODO: Describe functionality and provide usage example.

See also
    SoProfilerElement

Constructor & Destructor Documentation

  SoProfilerStats::SoProfilerStats (void)
Constructor

  SoProfilerStats::~SoProfilerStats () [protected], [virtual]
Destructor

Member Function Documentation

  SoType SoProfilerStats::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoProfilerStats::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoProfilerStats::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoProfilerStats::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoProfilerStats::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoProfilerStats::handleEvent (SoHandleEventAction * action) [virtual]
Action method for SoHandleEventAction.

Inspects the event data from action, and processes it if it is something which this node should react to.

Nodes influencing relevant state variables for how event handling is done also override this method.

Reimplemented from SoNode.

  void SoProfilerStats::rayPick (SoRayPickAction * action) [virtual]
Action method for SoRayPickAction.

Checks the ray specification of the action and tests for intersection with the data of the node.

Nodes influencing relevant state variables for how picking is done also override this method.

Reimplemented from SoNode.

  void SoProfilerStats::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoProfilerStats::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoProfilerStats::audioRender (SoAudioRenderAction * action) [virtual]
Action method for SoAudioRenderAction.

Does common processing for SoAudioRenderAction action instances.

Reimplemented from SoNode.

  void SoProfilerStats::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoProfilerStats::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoProfilerStats::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoProfilerStats::search (SoSearchAction * action) [virtual]
Action method for SoSearchAction.

Compares the search criteria from the action to see if this node is a match. Searching is done by matching up all criteria set up in the SoSearchAction -- if any of the requested criteria is a miss, the search is not deemed successful for the node.

See also
    SoSearchAction

Reimplemented from SoNode.

  void SoProfilerStats::write (SoWriteAction * action) [virtual]
Action method for SoWriteAction.

Writes out a node object, and any connected nodes, engines etc, if necessary.

Reimplemented from SoNode.

  void SoProfilerStats::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoNode.

Member Data Documentation

  SoMFName SoProfilerStats::renderedNodeType
Name of types traversed during the current render traversal.

This field is tightly connected to the renderingTimePerNodeType field as it will contain the same number of elements, and each value in renderingTimePerNodeType matches the node type with the same index in this field.

See also
    SoProfilerStats::renderingTimePerNodeType

  SoMFTime SoProfilerStats::renderingTimePerNodeType
Time spent, during the current render traversal, per node type.

This field is tightly connected to the renderedNodeType field as it will contain the same number of elements, and each value in this field matches the node type with the same index in renderedNodeType.

See also
    SoProfilerStats::renderedNodeType

Author

Generated automatically by Doxygen for Coin from the source code.